citeproc-hs-0.3.9: A Citation Style Language implementation in Haskell

Portability | unportable
Stability | unstable
Maintainer | Andrea Rossato <andrea.rossato@unitn.it>
Safe Haskell | None

Text.CSL.Test

Description

A module for reading Frank's citeproc-js testsuite.

# Documentation

toTest :: JSValue -> Test Source

runTS :: [String] -> Int -> FilePath -> IO ()Source

test :: FilePath -> IO Bool Source

test' :: Int -> FilePath -> IO Bool Source

test_ :: Int -> FilePath -> IO Bool Source

runTest :: Test -> IO (Bool, String)Source

data Test Source

Constructors

Test |

Fields

testMode :: String
testInput :: [Reference]
testCSL :: Style
testAbbrevs :: [Abbrev]
testResult :: String
testBibSect :: BibOpts
testCitItems :: Maybe Citations
testCitations :: Maybe Citations

Instances

Show Test |